<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN"
    "http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8"/>
  <title><%= yield(:page_title) || config[:title] %></title>
  <%= stylesheet_link_tag 'main' %>
  <%= javascript_include_tag 'jquery-1.2.1.js' %>
  <%= open_id_delegation_link_tags(config[:open_id_delegation, :server], config[:open_id_delegation, :delegate]) %>
  <%= yield(:head) %>
</head>
<body>
  <div id="page_container">
    <h1 id="page_heading"><%= config[:title] %></h1>

    <div id="main">
      <%= yield %>
    </div>

    <div id="navigation">
      <h2>Pages</h2>
      <ul>
        <% page_links_for_navigation.each do |link| -%>
          <li><%= link_to(link.name, link.url) %></li>
        <% end -%>
      </ul>
      <% unless category_links_for_navigation.empty? -%>
        <h2>Categories</h2>
        <ul>
          <% category_links_for_navigation.each do |link| -%>
            <li><%= link_to(link.name, link.url) %></li>
          <% end -%>
        </ul>
      <% end -%>
      <form method="get" id="sform" action="http://www.google.com/search">
        <div>
          <h2><label for="q">Search</label></h2>

          <input type="text" id="q" value="" name="q" />
          <input type="hidden" name="sitesearch" value="<%= config[:url] %>" />
        </div>
      </form>
    </div>    
    
    <div id="footer"><%= config[:title] %> &#169; <%= config[:author, :name] %>. Valid <a href="http://validator.w3.org/check?uri=referer">XHTML</a> and <%= link_to "ATOM", "http://feedvalidator.org/check.cgi?url=#{config[:url]}/posts.atom" %></div>
  </div>
</body>
</html>
